Package org.gradle.testing.jacoco.plugins

# Class JacocoPlugin

java.lang.Object
org.gradle.testing.jacoco.plugins.JacocoPlugin

All Implemented Interfaces:
  `Plugin<org.gradle.api.internal.project.ProjectInternal>`

@Incubating public class JacocoPlugin extends Object implements Plugin<org.gradle.api.internal.project.ProjectInternal>
Plugin that provides support for generating Jacoco coverage data.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AGENT_CONFIGURATION_NAME`
`static final String`
`ANT_CONFIGURATION_NAME`
`static final String`
`DEFAULT_JACOCO_VERSION`
The jacoco version used if none is explicitly specified.
`static final String`
`PLUGIN_EXTENSION_NAME`

## Constructor Summary

Constructors
Constructor
Description
`JacocoPlugin(org.gradle.internal.reflect.Instantiator instantiator)`

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(org.gradle.api.internal.project.ProjectInternal project)`
Apply this plugin to the given target object.
`Object`
`configureDefaultOutputPathForJacocoMerge()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_JACOCO_VERSION

public static final String DEFAULT_JACOCO_VERSION
The jacoco version used if none is explicitly specified.

Since:
  3.4
See Also:
  - Constant Field Values

### AGENT_CONFIGURATION_NAME

public static final String AGENT_CONFIGURATION_NAME

See Also:
  - Constant Field Values

### ANT_CONFIGURATION_NAME

public static final String ANT_CONFIGURATION_NAME

See Also:
  - Constant Field Values

### PLUGIN_EXTENSION_NAME

public static final String PLUGIN_EXTENSION_NAME

See Also:
  - Constant Field Values

## Constructor Details

### JacocoPlugin

@Inject public JacocoPlugin(org.gradle.internal.reflect.Instantiator instantiator)

## Method Details

### apply

public void apply(org.gradle.api.internal.project.ProjectInternal project)
Description copied from interface: `Plugin`
Apply this plugin to the given target object.

Specified by:
  `apply` in interface `Plugin<org.gradle.api.internal.project.ProjectInternal>`
Parameters:
  `project` - The target object

### configureDefaultOutputPathForJacocoMerge

public Object configureDefaultOutputPathForJacocoMerge()